component {
	setting enablecfoutputonly="false" requesttimeout="0" showdebugoutput="yes";

	// APPLICATION NAME:
	THIS.name = "CF-seminar";
	// DATABASE:
	THIS.datasource = "Northwind";
	THIS.sessionManagement = true;

	// ON APPLICATION START
	function onApplicationStart() {
		APPLICATION.dateFormat = "dd.mm.yyyy";

		return true;
	}

	// ON SESSION START
	function onSessionStart() {
		SESSION.theUser = structNew();
		SESSION.theUser.UserID = 0;

		SESSION.debug = true;
		SESSION.alerts = arrayNew(1);

		return true;
	}

	// ON SESSION END
	function onSessionEnd(required SESSION) {
		// LOG SESSION END DATA
		return true;
	}

	// ON REQUEST START
	function onRequestStart(required targetPage) {
		// SANITAZE INPUTS
		var field = "";
		for (field in URL) {
			URL[field] = xmlFormat(trim(URL[field]));
		}
		for (field in FORM) {
			FORM[field] = xmlFormat(trim(FORM[field]));
		}
		// DEBUG URL VARIABLES
		// add URL.debugOn to start the debug session (login as super admin enables it by default)
		if (structKeyExists(URL,'clearcache')) {
			cacheRemoveAll('query');
		}

		if (structKeyExists(URL,'debugOn')) {
			SESSION.debug = true;
		}
		if (structKeyExists(URL,'debugOff')) {
			SESSION.debug = false;
		}

		// add URL.apprestart to restart the application (in case of new APPLICATION.variables)
		if (SESSION.debug && structKeyExists(URL,'apprestart')) {
			onApplicationStart();
			location(url="?", addtoken=false);
		}
		// add URL.sessionrestart in order to restart the session
		if (SESSION.debug && structKeyExists(URL,'sessionrestart')) {
			onSessionStart();
			StructDelete(URL,'sessionrestart');
			location(url=getRefererPage(), addtoken=false);
		}

		// add URL.appdebug to display all application scopes
		if (SESSION.debug && structKeyExists(URL, "appdebug")) {
			writeDump(var=URL,label="URL",expand="false");
			writeDump(var=FORM,label="FORM",expand="false");
			writeDump(var=SESSION,label="Session",expand="false");
			writeDump(var=APPLICATION,label="Application",expand="false");
			writeDump(var=CGI,label="CGI",expand="false");
			writeDump(var=SERVER,label="Server",expand="false");
			writeDump(var=COOKIE, label="Cookies",expand="false");
			return false;
		}

		return true;
	}

	// ON REQUEST END
	function onRequestEnd(required string requestPage) {
		// FLUSH THE REQUEST SO USER RECIEVE THE RESULT FASTER
		getPageContext().getOut().flush();
		// Log Request and Log Post
		// THIS.cfcLog.logRequest();

		return true;
	}

	// ON ERROR
	// function onError(any error, string EventName) {
	// }
}