<cfparam name="ATTRIBUTES.name" type="string" default="" />
<cfparam name="ATTRIBUTES.label" type="string" default='' />
<cfparam name="ATTRIBUTES.value" type="string" default="" />

<cfparam name="ATTRIBUTES.type" type="string" default="text" />
<cfparam name="ATTRIBUTES.required" type="boolean" default="false" />
<cfparam name="ATTRIBUTES.readonly" type="boolean" default="false" />
<cfparam name="ATTRIBUTES.disabled" type="boolean" default="false" />
<cfparam name="ATTRIBUTES.autofocus" type="boolean" default="false" />

<cfparam name="ATTRIBUTES.dataMask" type="string" default="" />
<cfparam name="ATTRIBUTES.dataMaskPlaceholder" type="string" default=" " />

<cfparam name="ATTRIBUTES.id" type="string" default="" />
<cfparam name="ATTRIBUTES.placeholder" type="string" default="" />
<cfparam name="ATTRIBUTES.inputClass" type="string" default="" />
<cfparam name="ATTRIBUTES.divClass" type="string" default="" />
<cfparam name="ATTRIBUTES.title" type="string" default="" />
<cfparam name="ATTRIBUTES.minlength" type="string" default="" />
<cfparam name="ATTRIBUTES.maxlength" type="string" default="" />

<cfscript>
	openDiv = '<div class="form-group #ATTRIBUTES.divClass#">';
	closeDiv = '</div>';
	inputMask = ATTRIBUTES.dataMask NEQ ""  ?  "data-mask = '#ATTRIBUTES.dataMask#'"  : "";
	inputMinLength = ATTRIBUTES.minlength NEQ ""  ?  "data-minlength = '#ATTRIBUTES.minlength#' minlength = '#ATTRIBUTES.minlength#'"  : "";
	inputMaxLength = ATTRIBUTES.maxlength NEQ ""  ?  "data-maxlength = '#ATTRIBUTES.maxlength#' maxlength = '#ATTRIBUTES.maxlength#'"  : "";

	inputAutofocus = ATTRIBUTES.autofocus ? "autofocus" : "";
	inputRequired = ATTRIBUTES.required ? "required" : "";
	inputDisabled = ATTRIBUTES.disabled ? "disabled" : "";
	inputReadonly = ATTRIBUTES.readonly ? "readonly" : "";
	ATTRIBUTES.id = ATTRIBUTES.id EQ '' ? ATTRIBUTES.name : ATTRIBUTES.id;

	if(ATTRIBUTES.type EQ 'hidden') {
		openDiv = '';
		closeDiv = '';
	}
	if(SESSION.theUser.userID == 0) {
		// writeOutput("no access");
		exit "exitTemplate";
	}
	inputValue = ATTRIBUTES.value NEQ "" ? ATTRIBUTES.value : structKeyExists(FORM, ATTRIBUTES.name) ? FORM[ATTRIBUTES.name] : "";
</cfscript>

<cfoutput>
	<fieldset>

	#openDiv#
		<cfif #ATTRIBUTES.label# NEQ '' AND ATTRIBUTES.type NEQ 'hidden'>
			<label for="#ATTRIBUTES.id#" class="control-label">
				<cfif ATTRIBUTES.required >*</cfif>
				#ATTRIBUTES.label#
			</label>
		</cfif>
		<input
			id="#ATTRIBUTES.id#"
			name="#ATTRIBUTES.name#"
			type="#ATTRIBUTES.type#"
			value="#inputValue#"
			title="#ATTRIBUTES.title#"
			class="form-control #ATTRIBUTES.inputClass#"
			placeholder="#ATTRIBUTES.placeholder#"
			data-mask-placeholder = "#ATTRIBUTES.dataMaskPlaceholder#"
			#inputMinLength# #inputMaxLength#
			#inputMask# #inputRequired# #inputAutofocus# #inputReadonly# #inputDisabled#
		/>
	#closeDiv#
	</fieldset>
</cfoutput>