<cfquery name="qEmployees">
	SELECT
		CONCAT_WS(' ', `TitleOfCourtesy`, `FirstName`, `LastName`) as `Name`,
		`Title`,
		`BirthDate`,
		`HireDate`,
		`Salary`,
		`Address`
	FROM
		`Employees`
<cfif structKeyExists(URL, "salaryLimit")>
	WHERE
		`Salary` <
		<cfqueryparam
			value = "#URL.salaryLimit#"
			cfsqltype = "cf_sql_integer"
		/>
</cfif>
	ORDER BY
		`Salary` DESC
</cfquery>

<!--- <cfdump var="#qEmployees#" title="Employees" />
<cfabort />--->

<html>
<thead>
	<title>Query Example</title>
	<style>
		table {
			width: 100%;
			table-layout: fixed;
			border-spacing: 0px;
   			border-collapse: collapse;
		}

		td,th {
			border: 1px solid #5CC0EB;
			padding: 3px 5px;
		}

		tr {
			background-color: #fff;
		}

		tr:nth-child(2n) {
			background-color: #eee
		}

		tr:hover {
			background-color: #5CC0EB;
		}

	</style>
</thead>

<tbody>
	<table>
		<thead>
			<tr>
				<th>Name</th>
				<th>Title</th>
				<th>BirthDate</th>
				<th>HireDate</th>
				<th>Salary</th>
				<th>Address</th>
			</tr>
		</thead>
		<tbody>
			<cfoutput query="qEmployees">
				<tr>
					<td>#Name#</td>
					<td>#Title#</td>
					<td>#DateFormat(BirthDate, APPLICATION.dateFormat)#</td>
					<td>#DateFormat(HireDate, APPLICATION.dateFormat)#</td>
					<td>$ #NumberFormat(Salary, '0.00')#</td>
					<td>#Address#</td>
				</tr>
			</cfoutput>
		</tbody>
	</table>
</tbody>
</html>