<cfquery name="qEmployees">
	SELECT
		CONCAT_WS(' ', `TitleOfCourtesy`, `FirstName`, `LastName`) as `Name`,
		`Title`,
		`BirthDate`,
		`HireDate`,
		`Salary`,
		`Address`
	FROM
		`Employees`
<cfif structKeyExists(URL, "salaryLimit")>
	WHERE
		`Salary` <
		<cfqueryparam
			value = "#URL.salaryLimit#"
			cfsqltype = "cf_sql_integer"
		/>
</cfif>
	ORDER BY
		`Salary` DESC
</cfquery>

<!--- <cfdump var="#qEmployees#" title="Employees" />
<cfabort />--->

<html>
<thead>
	<title>Chart Example</title>
<tbody>
	<cfchart
		format="html"
		chartwidth="1200"
		show3d="true"
		showLegend="false"
		xAxisTitle="Employees"
		yAxisTitle="Salary"
		fontSize="18"
		fontBold="yes"
	>
		<cfchartseries type="bar" paintstyle="plain">
			<cfloop query="qEmployees">
				<cfchartdata item="#Name#" value="#Salary#">
			</cfloop>
		</cfchartseries>
	</cfchart>
</tbody>
</html>


